| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (3 of 5 overloads)

Construct an acceptor opened on the given endpoint.

    basic_socket_acceptor(
        boost::asio::io_service & io_service,
        const endpoint_type & endpoint,
        bool reuse_addr = true);

This constructor creates an acceptor and automatically opens it to listen for new connections on the specified endpoint.

###### Parameters

io_service

  The `io_service` object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.

endpoint

  An endpoint on the local machine on which the acceptor will listen for new connections.

reuse_addr

  Whether the constructor should set the socket option `socket_base::reuse_address`.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

This constructor is equivalent to the following code:

    basic_socket_acceptor<Protocol> acceptor(io_service);
    acceptor.open(endpoint.protocol());
    if (reuse_addr)
      acceptor.set_option(socket_base::reuse_address(true));
    acceptor.bind(endpoint);
    acceptor.listen(listen_backlog);